stages:
  - build
  - deploy

build:
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:v1.9.0-debug
    entrypoint: [ "" ]
  script:
    - echo -n "$DOCKER_CONFIG_JSON_BASE64" | base64 -d > /kaniko/.docker/config.json
    - /kaniko/executor
      --context .
      --dockerfile "Dockerfile"
      --destination "kudze/kursinis-anomaly-classification-service:${CI_COMMIT_SHA}"
      --cache=true
      --cache-repo="kudze/kursinis-anomaly-classification-service-cache"

deploy:
  stage: deploy
  image:
    name: bitnami/kubectl:latest
    entrypoint: [ '' ]
  script:
    - kubectl config use-context kudzecodes/kudze-presentation:my-local
    - echo -n "$LARAVEL_APP_KEY" > deployments/staging/laravel-app-key.secret
    - echo -n "$JWT_PUBLIC_KEY" > deployments/staging/jwt-public-key.secret
    - sed -i "s/\$CI_COMMIT_SHA/$CI_COMMIT_SHA/g" deployments/staging/kustomization.yaml
    - kubectl apply -k deployments/staging
